	(function() {
	'use strict';

	angular
		.module('psa.auth.routes', [
		])

		.config(Config);
		Config.$inject = ['$stateProvider'];

	/* @ngInject */
	function Config($stateProvider) {

		$stateProvider.state('welcome', {
			url: '/welcome',
			controller: 'WelcomeController',
			controllerAs: 'welcome',
			templateUrl: 'modules/auth/auth.welcome.html'
		});

		$stateProvider.state('login', {
			url: '/login',
			controller: 'LoginController',
			controllerAs: 'login',
			templateUrl: 'modules/auth/auth.login.html'
		});

		$stateProvider.state('signup', {
			url: '/signup',
			controller: 'SignupController',
			controllerAs: 'signup',
			templateUrl: 'modules/auth/auth.signup.html'
		});

		$stateProvider.state('signup-fb', {
			url: '/signup-fb',
			controller: 'SignupFacebookController',
			controllerAs: 'signup',
			templateUrl: 'modules/auth/auth.signup-fb.html'
		});
	}
})();
