	(function() {
	'use strict';

	angular
		.module('psa.talks.routes', [
		])

		.config(Config);
		Config.$inject = ['$stateProvider'];

	/* @ngInject */
	function Config($stateProvider) {

		$stateProvider.state('app.menu.talks', {
			url: '/talks/available',
			views: {
				app: {
					controller: 'TalksController',
					controllerAs: 'talks',
					templateUrl: 'modules/talks/talks.html'
				}
			}
		});

		$stateProvider.state('app.menu.subscribed', {
			url: '/talks/subscribed',
			views: {
				app: {
					controller: 'SubscribedController',
					controllerAs: 'talks',
					templateUrl: 'modules/talks/subscribed.html'
				}
			}
		});

		$stateProvider.state('app.menu.lecturing', {
			url: '/talks/lecturing',
			views: {
				app: {
					controller: 'LecturingController',
					controllerAs: 'talks',
					templateUrl: 'modules/talks/lecturing.html'
				}
			}
		});

		$stateProvider.state('app.menu.talk', {
			url: '/talk/:id',
			views: {
				app: {
					controller: 'TalkController',
					controllerAs: 'talk',
					templateUrl: 'modules/talks/talk.html'
				}
			}
		});
	}
})();
