(function() {
	'use strict';

	angular
		.module('psa.user.factory', [])
		.factory('User', User);

	User.$inject = ['$firebaseObject', '$timeout'];

	/* @ngInject */
	function User($firebaseObject, $timeout) {
		return function (userId) {
			var ref;
			if (!userId) {
				ref = firebase.database().ref().child('users');
				return $firebaseObject(ref.push());
			} else {
				ref = firebase.database().ref().child('users').child(userId);
				return $firebaseObject(ref);
				// return $firebaseObject.$extend({
				// 	$$updated: function (snap) {
				// 		var changed = $firebaseObject.prototype.$$updated.apply(this, arguments);
				// 		var storageRef = firebase.storage().ref();
				// 		var self = this;
				// 		storageRef.child('pictures/' + this.$id).getDownloadURL().then(function (url) {
				// 			$timeout(function () {
				// 				self.pictureUrl = url;
				// 			});
				// 		}).catch(function(error) {
				// 			console.log(error);
				// 		});
				// 		return changed;
				// 	}
				// })(ref);
			}
		};
	}
})();
