	(function() {
	'use strict';

	angular
		.module('psa.user.routes', [
		])

		.config(Config);
		Config.$inject = ['$stateProvider'];

	/* @ngInject */
	function Config($stateProvider) {

		$stateProvider.state('app.menu.user', {
			url: '/user/:id/:talk',
			views: {
				app: {
					controller: 'UserController',
					controllerAs: 'user',
					templateUrl: 'modules/user/user.html'
				}
			}
		});

		$stateProvider.state('app.menu.userEdit', {
			url: '/profile',
			views: {
				app: {
					controller: 'UserEditController',
					controllerAs: 'userEdit',
					templateUrl: 'modules/user/user.edit.html'
				}
			}
		});
	}
})();
