(function() {
	'use strict';

	angular
		.module('psa.app.routes', [
		])

		.config(Config);
		Config.$inject = ['$stateProvider'];

	/* @ngInject */
	function Config($stateProvider) {

		$stateProvider.state('app', {
			url: '/app',
			abstract: true,
			template: '<ion-nav-view name="app"></ion-nav-view>',
			controller: 'AppController',
			controllerAs: 'app',
			resolve: {
				auth: ['Auth', function (Auth) {
					return Auth.$requireSignIn();
				}]
			}
		});

	}

})();
