(function() {
	'use strict';

	angular
		.module('psa.question.factory', [])
		.factory('Question', Question);

	Question.$inject = ['$firebaseObject'];

	/* @ngInject */
	function Question($firebaseObject) {
		return function (talkId, qId) {
			console.log(talkId);
			var ref = firebase.database().ref().child('talks').child(talkId).child('questions');
			if (qId) {
				return $firebaseObject(ref.child(qId));
			}
			return $firebaseObject(ref.push());
		};
	}
})();
