(function() {
    'use strict';

    angular
        .module('psa.shared.notification.service', [])
        .service('NotificationService', ['$q', '$http', NotificationService]);

    function NotificationService($q, $http) {

      this.sendToUser = function(userId, message) {
        var data = {
          userId: userId,
          message: message
        };

        return $http({
          method: "POST",
          url: "http://clientes.mobula.com.br/psa/send_user_notification.php",
          //url: "/mobula/psa/send_user_notification.php",
          data: JSON.stringify(data),
          headers: {
            "Content-Type": "application/json"
          }
        });
      }
    }

}());
