(function() {
	'use strict';

	angular
		.module('psa.talk.factory', [])
		.factory('Talk', Talk);

	Talk.$inject = ['$firebaseObject'];

	/* @ngInject */
	function Talk($firebaseObject) {
		return function (talkId) {
			var ref = firebase.database().ref().child('talks').child(talkId);
			return $firebaseObject.$extend({
				$$updated: function (snap) {
					var changed = $firebaseObject.prototype.$$updated.apply(this, arguments);
					var storageRef = firebase.storage().ref();
					var self = this;
					/*
					storageRef.child('talks/' + talkId + '/slides.pdf').getDownloadURL().then(function (url) {
						self.slideUrl = url;
					});
					*/
					return changed;
				}
			})(ref);
		};
	}
})();
