(function() {
  'use strict';

  angular
    .module('psa.userTags.factory', [])
    .factory('UserTags', UserTags);

  UserTags.$inject = ['$firebaseObject'];

  /* @ngInject */
  function UserTags($firebaseObject) {
    return function (userId) {
      var ref;
      if (!userId) {
        ref = firebase.database().ref().child('userTags');
        return $firebaseObject(ref.push());
      } else {
        return $firebaseObject(firebase.database().ref().child('userTags').child(userId));
      }
    };
  }
})();
